it-swarm-ja.com

Visual Studio 2019が.Net Core SDKを見つけられない

私はこのチュートリアルをフォローしています- セッションとデバイス間でAzure Spatial Anchorsを共有する -Microsoft Docsで。

VSでプロジェクトを開く必要がありますが、開こうとすると次のエラーが発生します。

エラー:重要なインポートがないか、参照されているSDKが見つからないため、プロジェクトファイルをプロジェクトシステムで開くことができません。

詳細情報:.NET Core SDKが見つかりません。インストールされていること、およびglobal.jsonに指定されているバージョン(存在する場合)がインストールされているバージョンと一致していることを確認してください。

JSONで指定されたSDKバージョンとチュートリアルで指定された他のすべてのツールがありますが、それでもnadaです。どこかに足りないところがあると思います。どんな助けでも大歓迎です。

34
muz

手順1)最初にコマンドラインからdotnet --list-sdksを実行します(例: Grzegorz Smulko's answer )。最大のバージョン番号に注意してください。

enter image description here

ステップ2)ステップ1の正確なバージョン番号を使用して、ソリューションのルートにglobal.jsonファイルを作成します。このファイルにはすべての数字を含める必要があります。そうしないと機能しません。これは執筆時点での私のバージョンです

{
  "sdk": {
    "version": "3.1.101"
  }
}
42
Max Carroll

実行してみてくださいdotnet --list-sdksコンソールで。 https://dotnet.Microsoft.com/download から.NET Core SDKをダウンロードした後に表示されるページの情報によると、VS2017にはバージョンv2.2.106、VS2017にはバージョンv2.2.203が必要です。 VS2019。

インストールされたv2.2.203だけでは、VS2019でプロジェクトが読み込まれませんでした。私もv2.2.105をインストールする必要がありました。

19
Grzegorz Smulko

SDKのx86バージョンをインストールして修正しました。

Visual Studioの各バージョンには、それに対応する独自の対応するドットネットバージョンがあるようです。これはmsbuildの要件によるものです。

Visual Studioユーザーの場合、MSBuildバージョンの要件があるため、各Visual Studioバージョンでサポートされている.NET Core SDKのみを使用してください。他の開発環境を使用している場合は、最新のSDKリリースを使用することをお勧めします。

https://github.com/dotnet/core/blob/master/release-notes/2.2/2.2.6/2.2.6.md

そのページで詳しく説明されているように、Visual Studioのバージョンごとに次のバージョンのdotnetが必要です。

  • Visual Studio 2017(Windows):.NET Core SDK x86 2.2.108
  • Visual Studio 2019バージョン16.0:.NET Core SDK x86 2.2.205
  • Visual Studio 2019バージョン16.1:.NET Core SDK x86 2.2.301
  • Visual Studio 2019バージョン16.2:.NET Core SDK x86 2.2.401
7
soniiic

古いdotnet SDKをいくつかアンインストールしたため、この問題が発生しました。 VS2019でdotnetコアプロジェクトが読み込まれなくなっただけでなく、dotnetがパスで利用できなくなったため、コマンドラインでdotnetとして利用できなくなりました。

以前のバージョンのdotnetを複数インストールし、VS2019のインストールを準備した後、C:\Program Files\dotnet\をパスに追加することで、ようやく修正できました。その後、VS2019はプロジェクトを再度ロードします。

また、これはVS2017に影響を与えなかったため、プロジェクトをロードして完全に機能させることができました。また、dotnet実行可能ファイルへのフルパスを指定すると、コマンドラインで機能しました。

6
Jason

上記のどれも私にとってはうまくいきませんでした。ネットコア以外でも、あらゆる種類のプロジェクトで問題が発生していることに気付きました。私はglobal.jsonを使用してそれを機能させることができました。次に、.netコアのアルファビルドを参照している、さらに上のディレクトリにglobal.jsonがあることに気付きました。そのファイルを削除し、ビンゴはそれ以上問題ありません。

tl; dr

ディレクトリ構造のさらに上に、問題を引き起こしているglobal.jsonファイルがないことを確認してください。

3
WillT

2019 v16.3と比較してこの問題に直面しました。バージョン2.1.801以外の古いバージョンのnetcore 2.1 SDKをアンインストールしました。

アンインストールバージョン2.1.602を指すファイルc。\ Users\admin(私のログインユーザーはadmin)にglobal.jsonファイルが見つかりました

Netcore SDKバージョン2.1.801がインストールされていますが、パッチ番号と一致しないため使用されません。

から ドキュメント

パッチバージョンは、SDKバージョン2.1.100以降の場合、番号の最後の2桁(yz)(xyz)で定義されます。たとえば、SDKバージョンとして2.1.300を指定した場合、SDKの選択では最大2.1.399が検出されますが、2.1.400は2.1.300のパッチバージョンとは見なされません。

2.1.801を指すようにファイルを変更したところ、問題なく動作しました

2
M.Hassan

しばらく前に同じエラーが発生したため、ソリューションの読み込みプロセス中にWeb APIプロジェクトが失敗しました。

https://dotnet.Microsoft.com/download から次のアイテムを再インストールして解決しました

  • .Net Core Runtime(2.2.401は当時最新でした)
  • .Net Core SDk(当時、2.2.6が最新でした)
2
ian korkie

以下の手順でVS 2019の問題を修正することができました

  1. dotnet --list-sdksを実行して、インストールされているSDKの正確なバージョンを確認します
  2. プロジェクトのルートフォルダーにあるglobal.jsonファイルを変更します(私の場合、2.2.100と表示されていましたが、2.2.401がインストールされていました。そのバージョンを指すように編集して、プロジェクトをリロードすることができました。
1
agnei

私の場合、環境パスのプログラムファイル(x86)\ dotnetを削除してから、Visual Studioを再起動すると機能しました。

0
Hoang Tran

同じ問題が見つかりました。このバグに関連していた https://github.com/dotnet/core-setup/issues/4236

それはドットネットx86バージョンのバグのようです。

%PATH%環境変数でx64ドットネット(C:\ Program Files\dotnet)をx86ドットネット(C:\ Program Files(x86)\ dotnet`)の前に変更したところ、問題なく動作しました。

0
bruno.almeida

私はVS 2019で同じエラーで回答にリストされているすべてを試しましたが、最終的にそれを修正するのにこれらの手順に従っていました:

ソリューションを右クリックし、「エラーの解決」を押します

さまざまな.netパッケージのインストールとアンインストール、そしてすべてのものの1日を費やして、それをビルドしました。 ... Microsoftがエラーの場所を特定できる場合、なぜ自動的に解決しようとしないのですか?

0
Erin B